# class Reline::KeyActor::Composite

### Public Class Methods

new (key_actors)
Source

    # File lib/reline/key_actor/composite.rb, line 2
    def initialize(key_actors)
      @key_actors = key_actors
    end

### Public Instance Methods

get (key)
Source

    # File lib/reline/key_actor/composite.rb, line 10
    def get(key)
      @key_actors.each do |key_actor|
        func = key_actor.get(key)
        return func if func
      end
      nil
    end

matching? (key)
Source

    # File lib/reline/key_actor/composite.rb, line 6
    def matching?(key)
      @key_actors.any? { |key_actor| key_actor.matching?(key) }
    end